# Generated by Django 4.2.6 on 2025-04-26 15:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('company', models.CharField(max_length=255)),
                ('status', models.CharField(choices=[('Lead', 'Lead'), ('Proposal', 'Proposal'), ('Retention', 'Retention')], max_length=20)),
                ('email', models.EmailField(max_length=254)),
                ('phone', models.CharField(max_length=20)),
                ('address', models.CharField(blank=True, max_length=255, null=True)),
                ('additonal', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Expense',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255)),
                ('amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('category', models.CharField(choices=[('Server', 'Server'), ('Hosting', 'Hosting'), ('Domain', 'Domain'), ('Software', 'Software'), ('Others', 'Others')], max_length=50)),
                ('expense_type', models.CharField(choices=[('New', 'New'), ('Renewal', 'Renewal'), ('Purchase', 'Purchase')], max_length=20)),
                ('others', models.CharField(blank=True, max_length=100, null=True)),
                ('date', models.DateField()),
            ],
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product_type', models.CharField(choices=[('Domain', 'Domain'), ('Hosting', 'Hosting'), ('Website', 'Website')], max_length=50)),
                ('name', models.CharField(max_length=255)),
                ('purchase_date', models.DateField()),
                ('renewed_date', models.DateField()),
                ('expiry_date', models.DateField()),
                ('status', models.CharField(choices=[('Active', 'Active'), ('Suspended', 'Suspended'), ('Redemption', 'Redemption')], max_length=20)),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.client')),
            ],
        ),
        migrations.CreateModel(
            name='Invoice',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('amount', models.DecimalField(decimal_places=2, max_digits=10)),
                ('status', models.CharField(choices=[('Paid', 'Paid'), ('Unpaid', 'Unpaid')], max_length=20)),
                ('payment_mode', models.CharField(choices=[('Cash', 'Cash'), ('Online UPI', 'Online UPI')], max_length=20)),
                ('received_account', models.CharField(blank=True, max_length=100, null=True)),
                ('due_date', models.DateField()),
                ('paid_date', models.DateField()),
                ('client', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.client')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.product')),
            ],
        ),
    ]
