# core/urls.py
from django.urls import path
from . import views


urlpatterns = [
    path('clients/', views.client_list, name='client_list'),
    path('clients/create/', views.client_create, name='client_create'),
    path('clients/update/<int:pk>/', views.client_update, name='client_update'),
    path('clients/delete/<int:pk>/', views.client_delete, name='client_delete'),
    path('clients/<int:pk>/', views.client_detail, name='client_detail'),
    path('products/', views.product_list, name='product_list'),
    path('products/create/', views.product_create, name='product_create'),
    path('products/update/<int:pk>/', views.product_update, name='product_update'),
    path('products/delete/<int:pk>/', views.product_delete, name='product_delete'),
    path('products/<int:pk>/', views.product_detail, name='product_detail'),
    path('invoices/', views.invoice_list, name='invoice_list'),
    path('invoices/create/', views.invoice_create, name='invoice_create'),
    path('invoices/update/<int:pk>/', views.invoice_update, name='invoice_update'),
    path('invoices/delete/<int:pk>/', views.invoice_delete, name='invoice_delete'),
    path('invoices/<int:pk>/', views.invoice_detail, name='invoice_detail'),
    path('expenses/', views.expense_list, name='expense_list'),
    path('expenses/create/', views.expense_create, name='expense_create'),
    path('expenses/update/<int:pk>/', views.expense_update, name='expense_update'),
    path('expenses/delete/<int:pk>/', views.expense_delete, name='expense_delete'),
    path('expenses/<int:pk>/', views.expense_detail, name='expense_detail'),
    path('expiring-products/', views.ExpiringProductsView.as_view(), name='products_report'),
    path('send-expiring-products-mail/', views.send_expiring_products_mail, name='send_expiring_products_mail'),
]
